$ErrorActionPreference = 'Stop';

$packageName= 'nteract'
$url        = 'https://github.com/nteract/nteract/releases/download/v0.11.7/nteract-setup-0.11.7.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  softwareName  = 'nteract*'

  checksum      = '57e6d17f336f01e538579adc00322e17f303080b4b9836deae3f80e4757a170d'
  checksumType  = 'sha256'

  silentArgs   = '/S' # NSIS
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs

# Install ipykernel to get started directly
# try {
#   Start-ChocolateyProcessAsAdmin "&python -m pip install ipykernel"
#   Start-ChocolateyProcessAsAdmin "&python -m ipykernel install --user"    
# } catch {}
